package ru.dbotthepony.kstarbound.network.packets.clientbound

import ru.dbotthepony.kommons.io.readByteArray
import ru.dbotthepony.kommons.io.writeByteArray
import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.network.IClientPacket
import java.io.DataInputStream
import java.io.DataOutputStream

class HandshakeChallengePacket(val passwordSalt: ByteArray) : IClientPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(stream.readByteArray())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeByteArray(passwordSalt)
	}

	override fun play(connection: ClientConnection) {
		TODO("Not yet implemented")
	}
}
